<?php

/**
 * The header for our theme
 *
 * This is the template that displays the `head` element and everything up
 * until the `#content` element.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WowPress
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<script src="<?= get_template_directory_uri() ?>/plugins/alpine.min.js" defer></script>
	<?php wp_head(); ?>
	<style>
		:root{
			--color-background: var(--color-deepblue);
		}
	</style>
</head>

<body <?php body_class('dark'); ?>>

	<?php wp_body_open(); ?>



	<?php get_template_part('template-parts/layout/header', 'content'); ?>

	<div class="content-wrapper">
		<?php if (is_active_sidebar('top-widgets') && get_sidebar_status('top') )  : ?>
			<div class="widget-wrapper top-widgets">
				<?php dynamic_sidebar('top-widgets'); ?>
			</div>
		<?php endif; ?>
		<?php if (is_active_sidebar('left-widgets') && get_sidebar_status('left')) : ?>
			<div class="widget-wrapper left-widgets">
				<?php dynamic_sidebar('left-widgets'); ?>
			</div>
		<?php endif; ?>
		<div id="content" class="content">